Bug 993411 - Compilation fails on lxc/lxc_monitor_protocol.c 31: undefined reference to xdr_uinit64_t
Compilation fails on lxc/lxc_monitor_protocol.c 31: undefined reference to xd...
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 17:04 EDT by gpalmer
Modified: 2015-03-16 14:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-16 14:22:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gpalmer 2013-08-05 17:04:43 EDT
Description of problem: Fail to compile


Version-Release number of selected component (if applicable):
Version 1.0.3 through 1.1.1


How reproducible:


Steps to Reproduce:
1./configure  --prefix=/usr --localstatedir=/var --sysconfdir=/etc
2.make

Actual results:
libvirt_lxc-lxc_monitor_protocol.o: In function `xdr_virLXCMonitorInitEventMsg':
/usr/local/src/libvirt/libvirt-1.1.1/src/./lxc/lxc_monitor_protocol.c:31: undefined reference to `xdr_uint64_t'


Expected results:
Successful Compilation

Additional info: patch resolving compilation issue
--- lxc_monitor_protocol.h      2013-08-05 20:22:23.963000000 +0000
+++ libvirt-1.1.1/src/lxc/lxc_monitor_protocol.h        2013-08-05 20:22:46.226000000 +0000
@@ -5,6 +5,8 @@

 #ifndef _LXC_MONITOR_PROTOCOL_H_RPCGEN
 #define _LXC_MONITOR_PROTOCOL_H_RPCGEN
+# define xdr_uint64_t xdr_u_int64_t
+

 #include <rpc/rpc.h>
Comment 1 Eric Blake 2013-08-05 17:14:44 EDT
Can you please post this patch upstream at libvir-list@redhat.com for discussion?
Comment 2 Michal Privoznik 2014-09-23 04:51:32 EDT
Patch proposed upstream:

https://www.redhat.com/archives/libvir-list/2014-September/msg01360.html
Comment 3 Ján Tomko 2015-03-16 14:22:12 EDT
Pushed as:
commit c99f66ac4c831b2ff9116c2e2ca003cd3550bff8
Author:     Michal Privoznik <mprivozn@redhat.com>
AuthorDate: 2014-09-23 10:44:42 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: 2014-09-26 10:15:03 +0200

    lxc_monitor_protocol: Redefine xdr_uint64_t if needed
    
    https://bugzilla.redhat.com/show_bug.cgi?id=993411
    
    On some systems (using libtirpc instead of glibc's
    implementation), xdr_uint64_t exists rather under different name:
    xdr_u_int64_t. This makes compilation fail then:
    
    libvirt_lxc-lxc_monitor_protocol.o: In function `xdr_virLXCMonitorInitEventMsg':
    /usr/local/src/libvirt/libvirt-1.1.1/src/./lxc/lxc_monitor_protocol.c:31: undefined reference to `xdr_uint64_t'
    
    Therefore we rather mirror the d707c866 commit and redefine
    xdr_uint64_t if needed.
    
    Signed-off-by: Michal Privoznik <mprivozn@redhat.com>

git describe: v1.2.9-rc1-13-gc99f66a contains: v1.2.9-rc2~8

Note You need to log in before you can comment on or make changes to this bug.